com.amazonaws.services.lambda.model

## Class KMSInvalidStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.lambda.model.AWSLambdaException
                - - com.amazonaws.services.lambda.model.KMSInvalidStateException

All Implemented Interfaces:
  Serializable

    public class KMSInvalidStateException
    extends AWSLambdaException

Lambda was unable to decrypt the environment variables because the KMS key used is in an invalid state for Decrypt. Please check the function's KMS key settings.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`KMSInvalidStateException(String message)` Constructs a new KMSInvalidStateException with the specified error message.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getType()`
`void` `setType(String type)`
`KMSInvalidStateException` `withType(String type)`

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KMSInvalidStateException

    public KMSInvalidStateException(String message)

Constructs a new KMSInvalidStateException with the specified error message.

Parameters:
  `message` - Describes the error encountered.

### Method Detail

#### setType

    public void setType(String type)

Parameters:
  `type` -

#### getType

    public String getType()

Returns:

#### withType

    public KMSInvalidStateException withType(String type)

Parameters:
  `type` -
Returns:
  Returns a reference to this object so that method calls can be chained together.